漏洞信息详情

Artifex Software Ghostscript 安全漏洞

  • CNNVD编号:CNNVD-201812-723
  • 危害等级: 中危
  • CVE编号: CVE-2018-19134
  • 漏洞类型: 资料不足
  • 发布时间: 2018-12-18
  • 威胁类型: 远程
  • 更新时间: 2018-12-21
  • 厂        商: redhat
  • 漏洞来源:

漏洞简介

Artifex Software Ghostscript是美国Artifex Software公司的一款开源的PostScript(一种用于电子产业和桌面出版领域的页面描述语言和编程语言)解析器,它可显示Postscript文件以及在非Postscript打印机上打印Postscript文件。

Artifex Software Ghostscript 9.25及之前版本中的setpattern存在类型混淆漏洞,该漏洞源于程序没有正确的验证类型。远程攻击者可借助特制的PS或PDF文件利用该漏洞造成Ghostscript崩溃或可能在Ghostscript进程的上下文中执行任意代码。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.ghostscript.com/doc/9.26/News.htm

参考网址

来源:git.ghostscript.com

链接:http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=693baf02152119af6e6afd30bb8ec76d14f84bbf

来源:access.redhat.com

链接:https://access.redhat.com/errata/RHSA-2018:3834

来源:bugs.ghostscript.com

链接:https://bugs.ghostscript.com/show_bug.cgi?id=700141

来源:semmle.com

链接:https://semmle.com/news/semmle-discovers-severe-vulnerability-ghostscript-postscript-pdf

来源:www.ghostscript.com

链接:https://www.ghostscript.com/doc/9.26/News.htm

漏洞信息快速查询

相关漏洞

更多